services:
    db:
        image: postgres:17
        container_name: odoo-16-db-hazard-new
        restart: always
        environment:
            POSTGRES_USER: odoo
            POSTGRES_PASSWORD: odoo
            POSTGRES_DB: postgres
        volumes:
            - odoo-db-data-hazard-new:/var/lib/postgresql/data

    odoo:
        build: .
        container_name: odoo-16-hazard-new
        restart: always
        depends_on:
            - db
        ports:
            - "16001:8069"
        ulimits:
            nofile:
                soft: 65536
                hard: 65536
        volumes:
            - ./Addons/enterprise:/mnt/enterprise
            - ./Addons/custom:/mnt/extra-addons
            - ./Conf:/etc/odoo
            - odoo-web-data-hazard-new:/var/lib/odoo
        environment:
            - HOST=db
            - USER=odoo
            - PASSWORD=odoo

volumes:
    odoo-db-data-hazard-new:
    odoo-web-data-hazard-new:
